(* ---------------------------------------------------------- *)
(*                         Sk2Plt.PAS                         *)
(*              (C) 1992 N. Braun und DMV-Verlag              *)
(*                Compiler: Turbo Pascal 6.0                  *)
(* berschreibt die (berflssigen) ersten 4 Zeichen in einer *)
(* von AutoSketch erstellten Plotdatei, damit die Datei von   *)
(* Plot verwendet werden kann.                                *)
(* ---------------------------------------------------------- *)

{$A+,B-,D-,E-,F-,G-,I-,L-,N-,O-,R-,S-,V-,X-,M 1024,0,0}

PROGRAM Autosketch2PlotConverter;

VAR
  f     : FILE OF CHAR;
  fname : STRING[79];
CONST
  Modified : BOOLEAN = FALSE;

PROCEDURE ModifyChar(OrgCh: CHAR; Pos: BYTE);
VAR
  ch: CHAR;
BEGIN
  Seek(f, Pos - 1);
  Read(f, ch);
  If ch = OrgCh THEN BEGIN
    Seek(f, Pos - 1);
    ch := ' ';
    Write(f, ch);
    Modified := TRUE;
  END;
END;

BEGIN
  WriteLn('Sk2Plt v1.0 (C) 1992 N. Braun & DMV-Verlag');
  IF ParamCount > 0 THEN BEGIN
    fname := ParamStr(1);
    IF Pos('.', fname) = 0 THEN fname := fname + '.PLT';
    Assign(f, fname);
    Reset(f);
    {$I+}
    IF IOResult = 0 THEN BEGIN
      ModifyChar(#27, 1);   (* ndern der ersten 4 Zeichen    *)
      ModifyChar('.', 2);   (* in einer Autosketch-Plotdatei  *)
      ModifyChar('(', 3);   (* fr das Bildschirmplotprogramm *)
      ModifyChar(';', 4);   (* Plot.pas                     *)
      Close(f);
      IF Modified THEN
        WriteLn('Datei ', fname, ' wurde modifiziert')
      ELSE BEGIN
        WriteLn('Keine Modifikation vorgenommen.');
        WriteLn('Datei ist schon angepat oder');
        Writeln('keine Autosketch-Plotdatei.');
      END;
    END ELSE WriteLn('Fehler beim Lesen der Datei!');
  END ELSE WriteLn('Aufruf: Sk2PLT datei.ext');
END.

(* ---------------------------------------------------------- *)
(*                     Ende von Sk2Plt.PAS                    *)
